# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rubysteps/version'

Gem::Specification.new do |spec|
  spec.name          = "rubysteps"
  spec.version       = Rubysteps::VERSION
  spec.authors       = ["Pat Maddox"]
  spec.email         = ["pat@patmaddox.com"]
  spec.summary       = %q{RubySteps client application http://patmaddox.com/rubysteps}
  spec.description   = %q{RubySteps client application - yeah buddy! - http://patmaddox.com/rubysteps}
  spec.homepage      = "http://patmaddox.com/rubysteps"
  spec.license       = "https://github.com/RubySteps/rubysteps/blob/free/LICENSE.md"

  spec.post_install_message = "*****\n\nYeah buddy! You have a nifty new `rubysteps` command - check it out!\n\n*****\n\n"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "thor", "~> 0.19.1", ">= 0.19.1"
  spec.add_dependency "active_rest_client", "~> 1.0.3", ">= 1.0.3"
  spec.add_dependency "patron", "~> 0.4.18", ">= 0.4.18"

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake", "~> 10.0"
end
